Summary:	A Simple and Fast Image Viewer for X
Name:     	gpicview
Version:	0.1.11
Release:	%mkrel 3
License:	GPLv2+
Group:		Graphics
Source0: 	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
Patch0:		gpicview-0.1.11-r1293.patch
URL:		http://lxde.sourceforge.net/gpicview/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gtk+2-devel jpeg-devel desktop-file-utils

%description
GPicView is a simple and fast image viewer for X.
It features:
. Extremely lightweight and fast with low memory usage
. Very suitable for default image viewer of desktop system
. Simple and intuitive interface
. Minimal lib dependency: Only pure GTK+ is used
. Desktop independent: Doesn't require any specific desktop environment

%prep
%setup -q
%patch0 -p2

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category='Application' \
	--remove-category='Core' \
	--remove-category='Utility' \
	--remove-category='Photography' \
	--remove-category='RasterGraphics' \
	%buildroot%_datadir/applications/*.desktop

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post  
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/%name
%{_datadir}/pixmaps/*


%changelog
* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.1.11-3mdv2009.1
+ Revision: 364440
- make it appears only in image menu

* Mon Apr 06 2009 Funda Wang <fundawang@mandriva.org> 0.1.11-2mdv2009.1
+ Revision: 364364
- add upstream patch to fix RTL interface problem

* Tue Dec 16 2008 Funda Wang <fundawang@mandriva.org> 0.1.11-1mdv2009.1
+ Revision: 314853
- New version 0.1.11
  deleting images bug finally fixed

* Tue Dec 16 2008 Funda Wang <fundawang@mandriva.org> 0.1.10-1mdv2009.1
+ Revision: 314842
- fix compile with new cflags

* Sat Sep 13 2008 Funda Wang <fundawang@mandriva.org> 0.1.10-1mdv2009.0
+ Revision: 284465
- New version 0.1.10
- patch merged upstream

* Thu Sep 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.1.9-4mdv2009.0
+ Revision: 283859
- Fix security problems CVE-2008-3791 and CVE-2008-3904
- Fix emptying of target files when trying to save in an unsupported
  file format such as GIF
- Use %%{buildroot} macro instead of $RPM_BUILD_ROOT in SPEC

* Thu Aug 07 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.1.9-3mdv2009.0
+ Revision: 266945
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Funda Wang <fundawang@mandriva.org>
    - fix rpm group

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 0.1.9-2mdv2009.0
+ Revision: 200751
- fix desktop file category

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 0.1.9-1mdv2009.0
+ Revision: 200746
- import source and spec
- create gpicview

